Bug 1255077 - 'docker tag' adds default registry add prefix (but not 'docker build' )
'docker tag' adds default registry add prefix (but not 'docker build' )
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Minar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-19 10:42 EDT by Roland Huss
Modified: 2016-12-20 09:26 EST (History)
9 users (show)

See Also:
Fixed In Version: docker-io-1.8.1-2.git32b8b25.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:26:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roland Huss 2015-08-19 10:42:37 EDT
Description of problem:

When building a simple Docker image (e.g. only a single 'FROM busybox' is sufficient) with 

docker -D build -t jolokia/simple:1-2-3-4 .
docker tag jolokia/simple:1-2-3-4 jolokia/simple:latest

I receive the following images (output of 'docker images'):

jolokia/simple                                      1-2-3-4             8c2e06607696        4 months ago        2.43 MB
docker.io/jolokia/simple                            latest              8c2e06607696        4 months ago        2.43 MB

Version-Release number of selected component (if applicable):

docker 1.6.2.fc21 and 1.6.2.el7 

The environment is

[root@vagrant vagrant]# uname -a
Linux vagrant.f8 3.10.0-229.7.2.el7.x86_64 #1 SMP Tue Jun 23 22:06:11 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Name        : docker
Arch        : x86_64
Version     : 1.6.2
Release     : 4.gitc3ca5bb.el7
Size        : 21 M
Repo        : installed
From repo   : /docker-1.6.2-4.gitc3ca5bb.el7.x86_64
Summary     : Automates deployment of containerized applications
URL         : http://www.docker.com
License     : ASL 2.0
Description : Docker is an open-source engine that automates the deployment of any
            : application as a lightweight, portable, self-sufficient container that will
            : run virtually anywhere.
            :
            : Docker containers can encapsulate any payload, and will run consistently on
            : and between virtually any server. The same container that a developer builds
            : and tests on a laptop will run at scale, in production*, on VMs, bare-metal
            : servers, OpenStack clusters, public instances, or combinations of the above.

It is started with

OPTIONS='--selinux-enabled -H unix://var/run/docker.sock -H tcp://0.0.0.0:2375 --insecure-registry=172.0.0.0/8 --log-level=warn'
DOCKER_CERT_PATH=/etc/docker


See also https://bugzilla.redhat.com/show_bug.cgi?id=1241950 for more examples and discussion.
Comment 1 Daniel Walsh 2015-08-21 00:27:04 EDT
Michal how should this work with the Registry patches?
Comment 2 Michal Minar 2015-08-31 10:08:49 EDT
I'm confused with release docker-1.6.2-4.gitc3ca5bb.el7. I don't see such a release in brew. There's, however, docker-io-1.6.2-3.gitc3ca5bb.fc21.x86_64 in f21 updates repository. I could reproduce the issue with this release.

Furtunately, newer builds (docker-io-1.7.1-2.git33de319.fc21.x86_64 and docker-io-1.8.1-2.git32b8b25.fc21 [updates-testing]) work just fine.

RHEL builds seem unaffected with this bug (tested 1.6.2-1.el7, 1.6.2-14.el7, 1.7.1-111).

(In reply to Daniel Walsh from comment #1)
> Michal how should this work with the Registry patches?
Expected result for above reproducer would be:

jolokia/simple                            1-2-3-4             8c2e06607696        4 months ago        2.43 MB
jolokia/simple                            latest              8c2e06607696        4 months ago        2.43 MB
Comment 3 Lokesh Mandvekar 2016-02-16 12:18:14 EST
Seems fixed long back. Putting this ON_QA so we can close this one out soon. We have docker 1.10.1 in testing repos.
Comment 4 Fedora End Of Life 2016-11-24 07:20:49 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2016-12-20 09:26:23 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.